OrdersOrder Bumps
List order bumps
GET
/v1/order-bumpsList order bumps. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/order-bumps" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004325301", "storeId": "7204558912004325301", "name": "Example resource", "description": "Example description.", "status": "draft", "productId": "7204558912004325301", "variantId": "7204558912004325301", "offerPrice": 1, "minimumCartSubtotal": 1, "priority": 1, "maxPerCart": 1, "startsAt": "2026-08-01T15:30:00Z", "endsAt": "2026-08-01T15:30:00Z", "badgeLabel": "example", "callToAction": "example", "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z" }]